Package org.eclipse.cdt.core.settings.model.util

# Class SettingsSet.SettingLevel

java.lang.Object
org.eclipse.cdt.core.settings.model.util.SettingsSet.SettingLevel

Enclosing class:
  `SettingsSet`

public class SettingsSet.SettingLevel extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntries(List<ICLanguageSettingEntry> list)`
`void`
`addEntries(ICLanguageSettingEntry[] entries)`
`void`
`addEntry(ICLanguageSettingEntry entry)`
`void`
`addEntry(ICLanguageSettingEntry entry, Object customInfo)`
`void`
`addOverrideName(String name)`
`void`
`addOverrideNameSet(Set<String> set)`
`void`
`clear()`
`Map<EntryNameKey,SettingsSet.EntryInfo>`
`clearAndGetMap()`
`boolean`
`containsOverrideInfo()`
`Object`
`getContext()`
`ICLanguageSettingEntry[]`
`getEntries()`
`ICLanguageSettingEntry[]`
`getEntries(boolean includeOverridden)`
`List<ICLanguageSettingEntry>`
`getEntriesList(boolean includeOverridden)`
`int`
`getFlags(int baseFlags)`
`int`
`getFlagsToClear()`
`int`
`getFlagsToSet()`
`SettingsSet.EntryInfo[]`
`getInfos()`
`Set<String>`
`getOverrideSet()`
`boolean`
`isOverrideSupported()`
`boolean`
`isReadOnly()`
`void`
`removeOverrideName(String name)`
`void`
`setContext(Object context)`
`void`
`setFlagsToClear(int flags)`
`void`
`setFlagsToSet(int flags)`
`void`
`setOverrideSupported(boolean supported)`
`void`
`setReadOnly(boolean readOnly)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isReadOnly

public boolean isReadOnly()

### setReadOnly

public void setReadOnly(boolean readOnly)

### isOverrideSupported

public boolean isOverrideSupported()

### setOverrideSupported

public void setOverrideSupported(boolean supported)

### setFlagsToSet

public void setFlagsToSet(int flags)

### containsOverrideInfo

public boolean containsOverrideInfo()

### setFlagsToClear

public void setFlagsToClear(int flags)

### getFlagsToSet

public int getFlagsToSet()

### getFlagsToClear

public int getFlagsToClear()

### getFlags

public int getFlags(int baseFlags)

### getOverrideSet

public Set<String> getOverrideSet()

### addEntries

public void addEntries(ICLanguageSettingEntry[] entries)

### addEntries

public void addEntries(List<ICLanguageSettingEntry> list)

### addEntry

public void addEntry(ICLanguageSettingEntry entry)

### addEntry

public void addEntry(ICLanguageSettingEntry entry, Object customInfo)

### addOverrideName

public void addOverrideName(String name)

### addOverrideNameSet

public void addOverrideNameSet(Set<String> set)

### removeOverrideName

public void removeOverrideName(String name)

### clear

public void clear()

### clearAndGetMap

public Map<EntryNameKey,SettingsSet.EntryInfo> clearAndGetMap()

### getInfos

public SettingsSet.EntryInfo[] getInfos()

### getEntries

public ICLanguageSettingEntry[] getEntries()

### getEntries

public ICLanguageSettingEntry[] getEntries(boolean includeOverridden)

### getEntriesList

public List<ICLanguageSettingEntry> getEntriesList(boolean includeOverridden)

### getContext

public Object getContext()

### setContext

public void setContext(Object context)